%global commit fb6341d326846fbbe669ad5173e520f66b339621
%global scm git
%global date 20231103

%forgemeta

Name:		libyuv
Summary:	YUV conversion and scaling functionality library
Version:	0
Release:	%autorelease
License:	BSD
Url:		https://chromium.googlesource.com/libyuv/libyuv
## git clone https://chromium.googlesource.com/libyuv/libyuv
## cd libyuv
## git archive --format=tar --prefix=libyuv/ HEAD | gzip -9 > ../libyuv-$(git rev-parse HEAD).tar.xz
Source0:	%{name}-%{commit}.tar.gz
# Fedora-specific. Upstream isn't interested in these patches.
Patch0:		0001-Use-a-proper-so-version.patch
Patch1:		0002-Link-against-shared-library.patch
Patch2:		0003-Use-GNUInstallDirs-during-installation.patch
Patch3:		0004-Remove-the-yuvconvert-installation-target-use-the-ve.patch
Patch4:		0005-Link-yuvconstants-to-libm.patch
Patch5:		0006-Use-CTest-switches-for-testing.patch
Patch6:		0007-arch-s390x-disable-little-endian-tests.patch

BuildRequires:	gcc-c++

BuildRequires:	cmake
BuildRequires:	cmake(GTest)

BuildRequires:	pkgconfig(libjpeg)

%description
This is an open source project that includes YUV conversion and scaling
functionality. Converts all webcam formats to YUV (I420). Convert YUV to
formats for rendering/effects. Rotate by 90 degrees to adjust for mobile
devices in portrait mode. Scale YUV to prepare content for compression,
with point, bilinear or box filter.


%package devel
Summary: The development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Additional header files for development with %{name}.


%package static
Summary: Static libraries for %{name}
Requires: %{name}-devel%{?_isa} = %{version}-%{release}

%description static
This package contains static libraries for %{name}.


%prep
%autosetup -p1

cat > %{name}.pc << EOF
prefix=%{_prefix}
exec_prefix=${prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: %{name}
Description: %{summary}
Version: %{version}
Libs: -lyuv
EOF


%build
%cmake -DBUILD_TESTING:BOOL=ON
%cmake_build


%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}/pkgconfig
cp -a %{name}.pc %{buildroot}%{_libdir}/pkgconfig/


%check
%ctest


%files
%license LICENSE
%doc AUTHORS PATENTS README.md
%{_libdir}/%{name}.so.*


%files devel
%{_includedir}/%{name}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files static
%{_libdir}/%{name}.a

%changelog
%autochangelog
